using UnityEngine;
using System.Collections;

public class Orientation : MonoBehaviour {

	public float rollFactor = 10.0f;
	private float currentRoll = 0.0f;
	public float rollSmoothness = 0.2f;
	
	// Update is called once per frame
	void Update () {
		Vector3 rotationAngles = transform.eulerAngles;
		
		currentRoll = Mathf.Lerp(currentRoll,Input.GetAxis("Horizontal") * rollFactor,rollSmoothness);
		rotationAngles.z = currentRoll;
		
		transform.eulerAngles = rotationAngles;
	}
}
