using UnityEngine;
using System.Collections;

public class PlayerController : MonoBehaviour {
	
	public float forwardSpeed = 1.0f;
	public float yawFactor = 10.0f;
	public float yawSmoothness = 0.2f;	

	private float currentYaw = 0.0f;
		
		public float pitchFactor = 10.0f;
		public float pitchSmoothness = 0.2f;
		
		private float currentPitch = 0.0f;
		
	private CharacterController controller;
	void Start () {
		controller = (CharacterController)GetComponent(typeof(CharacterController));
	}
		
	void Update () {
		Vector3 rotationAngles = transform.eulerAngles;	
		
		currentYaw += Input.GetAxis("Horizontal") * Time.deltaTime * yawFactor;
		rotationAngles.y = currentYaw;		
		
currentPitch = Mathf.Lerp(currentPitch,Input.GetAxis("Vertical") * pitchFactor,pitchSmoothness);
rotationAngles.x = currentPitch;
			transform.eulerAngles = rotationAngles;
			
Vector3 moveDirection = transform.TransformDirection(Vector3.forward);
controller.Move(moveDirection * forwardSpeed * Time.deltaTime);
	
	}
	
	
	public GameObject planeBoomPrefab;
	

	
	void OnControllerColliderHit (ControllerColliderHit hit)
	{
		if (hit.gameObject.tag == "Player") return; // dont hit myself
		Instantiate(planeBoomPrefab,transform.position,transform.rotation);
		Destroy(gameObject);
	}

}
























// void Update () {
// 	Vector3 rotationAngles = transform.eulerAngles;	
// 
// 	currentYaw += Input.GetAxis("Horizontal") * Time.deltaTime * yawFactor;
// 	rotationAngles.y = currentYaw;
// 	
// 	
// 	transform.eulerAngles = rotationAngles;
// 	
// 	// Vector3 moveDirection = transform.TransformDirection(Vector3.forward);
// 	// controller.Move(moveDirection * forwardSpeed * Time.deltaTime);
// }










	
	// 

	// 



